## net.sf.saxon.javax.xml.xquery
Interface XQExpression

All Superinterfaces:
  XQDynamicContext

All Known Implementing Classes:
  SaxonXQExpression

    public interface XQExpression

extends XQDynamicContext

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` `cancel()`
`void` `clearWarnings()`
`void` `close()`
`void` `executeCommand(Reader command)`
`void` `executeCommand(String command)`
`XQResultSequence` `executeQuery(InputStream query)`
`XQResultSequence` `executeQuery(Reader query)`
`XQResultSequence` `executeQuery(String query)`
`int` `getQueryLanguageTypeAndVersion()`
`int` `getQueryTimeout()`
`XQWarning` `getWarnings()`
`boolean` `isClosed()`
`void` `setQueryTimeout(int seconds)`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDynamicContext
`bindAtomicValue, bindBoolean, bindByte, bindContextItem, bindDocument, bindDouble, bindFloat, bindInt, bindItem, bindLong, bindNode, bindObject, bindSequence, bindShort, getImplicitTimeZone, setImplicitTimeZone`

Method Detail

### cancel

    void cancel()
                throws XQException

  Throws:
    `XQException`

### clearWarnings

    void clearWarnings()
                       throws XQException

  Throws:
    `XQException`

### close

    void close()

### executeCommand

    void executeCommand(Reader command)
                        throws XQException

  Throws:
    `XQException`

### executeCommand

    void executeCommand(String command)
                        throws XQException

  Throws:
    `XQException`

### executeQuery

    XQResultSequence executeQuery(InputStream query)
                                  throws XQException

  Throws:
    `XQException`

### executeQuery

    XQResultSequence executeQuery(Reader query)
                                  throws XQException

  Throws:
    `XQException`

### executeQuery

    XQResultSequence executeQuery(String query)
                                  throws XQException

  Throws:
    `XQException`

### getQueryLanguageTypeAndVersion

    int getQueryLanguageTypeAndVersion()
                                       throws XQException

  Throws:
    `XQException`

### getQueryTimeout

    int getQueryTimeout()
                        throws XQException

  Throws:
    `XQException`

### getWarnings

    XQWarning getWarnings()
                          throws XQException

  Throws:
    `XQException`

### isClosed

    boolean isClosed()

### setQueryTimeout

    void setQueryTimeout(int seconds)
                         throws XQException

  Throws:
    `XQException`

Copyright (C) Michael H. Kay. All rights reserved.